---
title: CSSNamespaceRule.prefix
slug: Web/API/CSSNamespaceRule/prefix
tags:
  - API
  - CSSNamespaceRule
  - CSSOM
  - Property
  - Reference
  - prefix
---
<p>{{ APIRef("CSSOM") }}</p>

<p>The <strong><code>CSSNamespaceRule.prefix</code></strong> read-only property returns a {{domxref("DOMString")}} with the name of the prefix associated to this namespace. If there is no such prefix, returns  <code>null</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>prefix</em> = CSSNamespaceRule.prefix</pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("DOMString")}} containing the prefix associated to this namespace.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM','#dom-cssnamespacerule-namespaceuri','namespaceURI')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNamespaceRule.prefix")}}</p>
